Bug 584071 - There is now pretty cool version 1.2.6a ... please update
Summary: There is now pretty cool version 1.2.6a ... please update
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: bitlbee
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Robert Scheck
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-20 17:09 UTC by Matěj Cepl
Modified: 2018-04-11 11:23 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-04-25 13:34:17 UTC


Attachments (Terms of Use)
log of the build attempt (16.95 KB, text/plain)
2010-04-21 17:38 UTC, Matěj Cepl
no flags Details

Description Matěj Cepl 2010-04-20 17:09:27 UTC
Description of problem:
upstream tarball is http://get.bitlbee.org/src/bitlbee-1.2.6a.tar.gz
scratch build for Rawhide is http://koji.fedoraproject.org/koji/taskinfo?taskID=2128431 (where I haven't checked in any way whether patch makes sense, I haven't done any testing etc.)

Comment 1 Robert Scheck 2010-04-20 17:14:45 UTC
Will try to prepare an update this evening.

Comment 2 Robert Scheck 2010-04-20 20:01:23 UTC
http://koji.fedoraproject.org/koji/getfile?taskID=2128816&name=build.log says,
that we fail on EPEL 4/5:

In file included from /builddir/build/BUILD/bitlbee-1.2.6a/lib/srv.h:28,
                 from /builddir/build/BUILD/bitlbee-1.2.6a/lib/misc.h:31,
                 from /builddir/build/BUILD/bitlbee-1.2.6a/bitlbee.h:141,
                 from /builddir/build/BUILD/bitlbee-1.2.6a/protocols/nogaim.h:43,
                 from twitter_http.h:27,
                 from twitter_lib.c:27:
/usr/include/arpa/nameser.h:113: error: expected ':', ',', ';', '}' or '__attribute__' before '*' token
/usr/include/arpa/nameser.h:145: error: expected ':', ',', ';', '}' or '__attribute__' before '*' token
/usr/include/arpa/nameser.h:502: error: expected '=', ',', ';', 'asm' or '__attribute__' before '__ns_get16'
/usr/include/arpa/nameser.h:503: error: expected '=', ',', ';', 'asm' or '__attribute__' before '__ns_get

Ideas?

Comment 3 Matěj Cepl 2010-04-21 17:38:26 UTC
Created attachment 408136 [details]
log of the build attempt

Hmm, when trying to build bitlbee on VM with RHEL-5, I got this.

Comment 4 Fedora Update System 2010-04-25 13:30:09 UTC
bitlbee-1.2.6a-3.el4 has been submitted as an update for Fedora EPEL 4.
http://admin.fedoraproject.org/updates/bitlbee-1.2.6a-3.el4

Comment 5 Fedora Update System 2010-04-25 13:30:34 UTC
bitlbee-1.2.6a-3.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/bitlbee-1.2.6a-3.el5

Comment 6 Fedora Update System 2010-04-25 13:30:52 UTC
bitlbee-1.2.6a-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/bitlbee-1.2.6a-3.fc11

Comment 7 Fedora Update System 2010-04-25 13:31:28 UTC
bitlbee-1.2.6a-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/bitlbee-1.2.6a-3.fc12

Comment 8 Fedora Update System 2010-04-25 13:32:01 UTC
bitlbee-1.2.6a-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/bitlbee-1.2.6a-3.fc13

Comment 9 Fedora Update System 2010-05-04 06:03:34 UTC
bitlbee-1.2.6a-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2010-05-04 06:19:32 UTC
bitlbee-1.2.6a-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2010-05-04 06:21:38 UTC
bitlbee-1.2.6a-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2010-05-14 01:05:01 UTC
bitlbee-1.2.6a-3.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2010-05-14 01:05:34 UTC
bitlbee-1.2.6a-3.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.